Shellfu Bash library
====================

Shellfu - Bash dot on steroids


NOTES
-----

 *  if when using `debug -v` you stumble on a variable name
    that is *really* used internally by pretty.sh, routines
    pick up the internal ones which may easily confuse you.
    Examples are `src` or `caller`.

    You can circumvent this by composing the debug string
    yourself, e.g.:

        debug "src='$src'"

    in place of

        debug -v src

    This will be solved in the future (1.0.0?) probably by
    refactoring the internal names to some long, ugly but
    "safe" names.  Now, however, readability of the internal
    code is of higher priority.

    Note that there is no risk damage to data integrity, it's
    just that the routine is unable to show you desired value.
